## org.codehaus.groovy.grails.web.xml
Class PrettyPrintXMLStreamWriter

    java.lang.Object
      org.codehaus.groovy.grails.web.xml.XMLStreamWriter
          org.codehaus.groovy.grails.web.xml.PrettyPrintXMLStreamWriter

    public class PrettyPrintXMLStreamWriter

extends XMLStreamWriter

A XMLStreamWriter dedicated to create indented/pretty printed output.

Since:
  1.1
Author:
  Siegfried Puchbauer

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.grails.web.xml.XMLStreamWriter
`XMLStreamWriter.Mode`

Field Summary
`static String` `DEFAULT_INDENT_STR`
`static String` `NEWLINE`

Fields inherited from class org.codehaus.groovy.grails.web.xml.XMLStreamWriter
`mode, tagStack, writer`

Constructor Summary
`PrettyPrintXMLStreamWriter(groovy.xml.streamingmarkupsupport.StreamingMarkupWriter writer)`
`PrettyPrintXMLStreamWriter(groovy.xml.streamingmarkupsupport.StreamingMarkupWriter writer, String indent)`

Method Summary
`XMLStreamWriter` `characters(String data)`
`XMLStreamWriter` `end()`
`protected void` `endStartTag()`
`XMLStreamWriter` `startDocument(String encoding, String version)`
`XMLStreamWriter` `startNode(String tag)`
`protected void` `startTag()`

Methods inherited from class org.codehaus.groovy.grails.web.xml.XMLStreamWriter
`attribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INDENT_STR

    public static final String DEFAULT_INDENT_STR

See Also:
  Constant Field Values

### NEWLINE

    public static final String NEWLINE

Constructor Detail

### PrettyPrintXMLStreamWriter

    public PrettyPrintXMLStreamWriter(groovy.xml.streamingmarkupsupport.StreamingMarkupWriter writer)

### PrettyPrintXMLStreamWriter

    public PrettyPrintXMLStreamWriter(groovy.xml.streamingmarkupsupport.StreamingMarkupWriter writer,
                                      String indent)

Method Detail

### endStartTag

    protected void endStartTag()
                        throws IOException

  Overrides:
    `endStartTag` in class `XMLStreamWriter`
  Throws:
    `IOException`

### startTag

    protected void startTag()
                     throws IOException

  Overrides:
    `startTag` in class `XMLStreamWriter`
  Throws:
    `IOException`

### startNode

    public XMLStreamWriter startNode(String tag)
                              throws IOException

  Overrides:
    `startNode` in class `XMLStreamWriter`
  Throws:
    `IOException`

### end

    public XMLStreamWriter end()
                        throws IOException

  Overrides:
    `end` in class `XMLStreamWriter`
  Throws:
    `IOException`

### characters

    public XMLStreamWriter characters(String data)
                               throws IOException

  Overrides:
    `characters` in class `XMLStreamWriter`
  Throws:
    `IOException`

### startDocument

    public XMLStreamWriter startDocument(String encoding,
                                         String version)
                                  throws IOException

  Overrides:
    `startDocument` in class `XMLStreamWriter`
  Throws:
    `IOException`

Copyright (c) 2005-2009 The Grails project